# openLIS
A Python package that implements a Recursive-Model Index (RMI) and provides a high-level database-like interface.

## Description

This package implements the Recursive-Model Index described in the paper 
"The Case for Learned Index Structures," 
[Kraska et al., 2017](http://arxiv.org/abs/1712.01208)
([pdf](http://arxiv.org/pdf/1712.01208.pdf)).
        
In addition to implementing the Recursive-Model Index, openLIS provides
a high-level database-like interface with Select, Insert, and Delete functionality.

## Getting Started

You can install this package using pip:
```
pip install openlis
```

For example usage, see the Jupyter notebook: [openlis_example.ipynb](openlis_example.ipynb)


### Prerequisites

TensorFlow  
Python 3.x


## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details


